function math.clamp(num, x, y)
  return math.min(math.max(num, x), y)
end
function mix(index, tab, t, alpha)
  local tab1 = tab[math.floor(t+1)][index]
  local tab2 = tab[math.floor(t+1)%4+1][index]
  local tab3 = {}
  for i = 1,3 do
    tab3[i] = tab1[i] + (tab2[i] - tab1[i]) * (t%1)
  end
  if alpha then tab3[4] = alpha else tab3[4] = 255 end
  return tab3
end